Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.pop3
Class POP3MessageInfo

    java.lang.Object
      |
      +--org.apache.commons.net.pop3.POP3MessageInfo

public final class POP3MessageInfo
extends java.lang.Object

POP3MessageInfo is used to return information about messages stored on a POP3 server. Its fields are used to mean slightly different things depending on the information being returned.

In response to a status command, `number` contains the number of messages in the mailbox, `size` contains the size of the mailbox in bytes, and `identifier` is null.

In response to a message listings, `number` contains the message number, `size` contains the size of the message in bytes, and `identifier` is null.

In response to unique identifier listings, `number` contains the message number, `size` is undefined, and `identifier` contains the message's unique identifier.

Author:
  Daniel F. Savarese

Field Summary
`java.lang.String` | `identifier`
`int` | `number`
`int` | `size`

Constructor Summary
`POP3MessageInfo()` Creates a POP3MessageInfo instance with `number` and `size` set to 0, and `identifier` set to null.
`POP3MessageInfo(int num, int octets)` Creates a POP3MessageInfo instance with `number` set to `num` , `size` set to `octets` , and `identifier` set to null.
`POP3MessageInfo(int num, java.lang.String uid)` Creates a POP3MessageInfo instance with `number` set to `num` , `size` undefined, and `identifier` set to `uid`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### number

    public int number

### size

    public int size

### identifier

    public java.lang.String identifier

Constructor Detail

### POP3MessageInfo

    public POP3MessageInfo()

  Creates a POP3MessageInfo instance with `number` and `size` set to 0, and `identifier` set to null.

### POP3MessageInfo

    public POP3MessageInfo(int num,
                           int octets)

  Creates a POP3MessageInfo instance with `number` set to `num` , `size` set to `octets` , and `identifier` set to null.

### POP3MessageInfo

    public POP3MessageInfo(int num,
                           java.lang.String uid)

  Creates a POP3MessageInfo instance with `number` set to `num` , `size` undefined, and `identifier` set to `uid`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.